<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Get meta sections
$sections = kirhero_blog_article_meta();

// Return if sections are empty
if ( empty( $sections ) ) {
	return;
} ?>

<?php do_action( 'kirhero_before_blog_entry_meta' ); ?>

<p class="entry-meta">

	<?php
	// Loop through meta sections
	foreach ( $sections as $section ) { ?>

		<?php if ( 'author' == $section ) { ?>
			<span class="meta-author"<?php kirhero_schema_markup_echo( 'author_name' ); ?>><i class="fa fa-user-o" aria-hidden="true"></i> </i><?php echo the_author_posts_link(); ?></span>
		<?php } ?>

		<?php if ( 'date' == $section ) { ?>
			<span class="meta-date"<?php kirhero_schema_markup_echo( 'publish_date' ); ?>><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo get_the_date(); ?></span>
		<?php } ?>

		<?php if ( 'categories' == $section ) { ?>
			<span class="meta-categories"><i class="fa fa-folder-o" aria-hidden="true"></i> <?php the_category( ' / ', get_the_ID() ); ?></span>
		<?php } ?>

		<?php if ( 'comments' == $section && comments_open() && ! post_password_required() ) { ?>
			<span class="meta-comments"><i class="fa fa-comments-o" aria-hidden="true"></i> <?php comments_popup_link( esc_html__( '0 Comments', 'orionwp' ), esc_html__( '1 Comment',  'orionwp' ), esc_html__( '% Comments', 'orionwp' ), 'comments-link' ); ?></span>
		<?php } ?>

	<?php } ?>
	
</p>

<?php do_action( 'kirhero_after_blog_entry_meta' ); ?>