<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$header_type =  kirhero_get_real_theme_settings('header-type', 'kirhero_admin_header_style');
$header_show_logo  =  kirhero_get_real_theme_settings('header-logo-title-show', 'kirhero_admin_header_logo_show_title');
$header_show_tagline  =  kirhero_get_real_theme_settings('header-logo-tagline-show', 'kirhero_admin_header_logo_show_tagline');

$header_fixed  =  get_theme_mod( 'kirhero_header_fixed', kirhero_get_default_theme_settings('header-fixed'));
///////////////
// General header function
///////////////
?>

	<?php
	// Elementor `header` location
	if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'header' ) ) 
	{
	
		//tpl - minimal
		if ( 'minimal' == $header_type ) 
		{
			get_template_part( 'template-parts/header/minimal',  'tpl' );
		
		}
		// default tpl
		else 
		{ 	
		?>
			<header class="site-header"<?php kirhero_schema_markup_echo( 'header' ); ?>>
				<?php do_action( 'kirhero_before_header_inner' ); ?>
				<!-- header-wrap -->
				<div class="wrap">
					
					<!-- title-area -->
					<div class="title-area"<?php kirhero_schema_markup_echo( 'logo' ); ?>>
						<?php the_custom_logo(); ?>
						<?php if ($header_show_logo) { ?>
							<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></a></h1>
						<?php } ?>
						<?php if ($header_show_tagline) { ?>
							<p class="site-description"><?php echo bloginfo( 'description' ); ?></p>
						<?php } ?>
					</div>
					<!-- title-area -->
					
					<!-- widget-header -->
					<div class="widget-area header-widget-area b">
						<?php dynamic_sidebar( 'sidebar-header' ); ?>
					</div>
					<!-- widget-header -->
	
				</div><!-- header-wrap -->
				<?php do_action( 'kirhero_header_second_menu' ); ?>
	
				<?php do_action( 'kirhero_after_header_inner' ); ?>
			</header>
			
			<?php do_action( 'kirhero_header_middle_content' ); ?>
		<?php 
		}
		?>
		

	<?php 
	}
	else
	{
	?>
		<header class="site-header">
				<?php do_action( 'kirhero_before_header_inner' ); ?>
		</header>
	<?php
	}
	?>
	
	
<?php if ( $header_fixed ) { ?>
<div class="site-inner-wrap"></div>

<?php } ?>

<?php

do_action( 'kirhero_after_header' ); 
?>

