<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Only display for standard posts
if ( 'post' != get_post_type() ) {
	return;
}

// Get author data
$author			= get_the_author();
$description	= get_the_author_meta( 'description' );
$url			= esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );

$website = get_the_author_meta( 'user_url' );

// Only display if author has a description
if ( ! $description ) {
	return;
} ?>

<?php do_action( 'kirhero_before_single_post_author_bio' ); ?>

<section class="author-bio">

	<div class="author-bio-inner">

		<div class="author-bio-avatar">

			<a href="<?php echo esc_url( $url ); ?>" title="<?php esc_attr_e( 'Visit Author Page', 'orionwp' ); ?>" rel="author" >
				<?php
				// Display author avatar
				echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'kirhero_author_bio_avatar_size', 100 ) ); ?>
			</a>

		</div><!-- .author-bio-avatar -->

		<div class="author-bio-content ">

			<h4 class="author-bio-title">
				<a href="<?php echo esc_url( $url ); ?>" title="<?php esc_attr_e( 'Visit Author Page', 'orionwp' ); ?>">
					<?php echo esc_html( strip_tags( $author ) ); ?>
				</a>
			</h4><!-- .author-bio-title -->
			
			<?php
			if ( $website ) : ?>

				<div class="author-bio-web">
					<a href="<?php echo esc_url( $website ); ?>" target="_blank"><?php echo wp_kses_post( $website ); ?></a>
				</div><!-- author-bio-description -->

			<?php endif; ?>
			
			<?php
			// Outputs the author description if one exists
			if ( $description ) : ?>

				<div class="author-bio-description">
					<?php echo wp_kses_post( $description ); ?>
				</div><!-- author-bio-description -->

			<?php endif; ?>
			
			

		</div>

	</div><!-- #author-bio-inner -->

</section><!-- #author-bio -->

<?php do_action( 'kirhero_after_single_post_author_bio' ); ?>